## SMSdecobank
## factorial analysis of bank notes data set

data(bank2)

x=as.matrix(bank2)
x=t((t(x)-mean(bank2))/(sd(bank2)))
x=x/sqrt(nrow(bank2))

deco=svd(x)
w=deco$v[,1:3]%*%diag(deco$d[1:3])
z=deco$u[,1:3]%*%diag(deco$d[1:3])

counter=rep(c("G","F"),each=100)

opar=par(mfrow=c(3,2))
plot(w[,c(1,2)],type="n")
text(w[,c(1,2)],colnames(bank2))
plot(z[,c(1,2)],type="n")
text(z[,c(1,2)],counter)
plot(w[,c(1,3)],type="n")
text(w[,c(1,3)],colnames(bank2))
plot(z[,c(1,3)],type="n")
text(z[,c(1,3)],counter)
plot(w[,c(2,3)],type="n")
text(w[,c(2,3)],colnames(bank2))
plot(z[,c(2,3)],type="n")
text(z[,c(2,3)],counter)
par(opar)

opar=par(mfrow=c(1,1),ask = dev.interactive(orNone = TRUE))
library(scatterplot3d)
scatterplot3d(z,color=rep(1:2,each=100))
par(opar)
