## SMSdecotime
## factorial analysis of timebudget data set

data(timebudget)

x=t((t(as.matrix(timebudget))-mean(timebudget)))/sqrt(nrow(timebudget))
                   
deco=svd(x)
w=deco$v[,1:2]%*%diag(deco$d[1:2])
z=deco$u[,1:2]%*%diag(deco$d[1:2])

opar=par(mfrow=c(2,1))
plot(w,type="n")
text(w,colnames(timebudget))
plot(z,type="n")
text(z,row.names(timebudget))
par(opar)


