#-----------------------------------------------------------------------------
# SMSscanorm3
#-----------------------------------------------------------------------------
# Autor: Alena Babiakova
#-----------------------------------------------------------------------------

library(MASS);
library(scatterplot3d);

set.seed(100);

n = 300;
mu = c(0,0,0);
sigma = diag(x = 1, nrow = 3, ncol = 3);

x = mvrnorm(n, mu, sigma);

scatterplot3d(x, color = "red", main = "Standard Normal point cloud", grid = FALSE);
