
##--------------------------------------------------------
## SMSboxunemp, Autor: Tomas Marada
##--------------------------------------------------------

## preparing data
data(unemploy)
x = unemploy[,2]
e = c( 15.1, 15.8, 16.8, 17.1, 17.3, 19.9);
w = c( 5.8, 6.2, 7.7, 7.9, 8.7, 9.8, 9.8, 9.8, 10.4, 13.9);

## calculating means
means = c(mean(x), mean(e), mean(w));

## producing boxplot without means
boxplot(x,e,w, names = c("All", "East", "West"), main = "Unemployment in Germany");

## adding means into boxplot as points
points(1:length(means), means, pch = 19);
