
##--------------------------------------------------------------------------------
## SMScapmnyse, Autor: Kristyna Sionova
##--------------------------------------------------------------------------------

data(nyse)
attach(nyse)

pi<-lm(PanAm~IBM)				    ##linear models
di<-lm(DEC~IBM)

new.PanAm <- seq(min(PanAm),max(PanAm),length=120)  ##grid for the regression lines
new.DEC <- seq(min(DEC),max(DEC),length=120)

pred.PanAm<-predict(pi,data.frame(IBM=new.PanAm))   ##fitted values on the grid
pred.DEC<-predict(di,data.frame(IBM=new.DEC))

par(mfrow=c(1,2))				    ##plot of the results
plot(PanAm~IBM,col="blue",main="PanAm vs. IBM")
lines(new.PanAm,pred.PanAm)
plot(DEC~IBM,col="blue",main="DEC vs. IBM")
lines(new.DEC,pred.DEC)
detach(nyse)


