## SMSclus8p
## Ward method and complete linkage using squared Euclidean distance for 8 points example

eight=cbind(c(-3,-2,-2,-2,1,1,2,4),c(0,4,-1,-2,4,2,-4,-3))
eight=eight[c(8,7,3,1,4,2,6,5),]

opar <- par(mfrow = c(3, 1))
plot(eight,type="n")
text(eight,as.character(1:8))
plot(hclust(dist(eight,method="euclidean")^2,method="ward"),ylab="squared Euclidean distance",sub="",xlab="Ward method") 
plot(hclust(dist(eight,method="euclidean")^2,method="complete"),ylab="squared Euclidean distance",sub="",xlab="Complete linkage") 
par(opar)

