##----------------------------------------------------------------------------
## SMSclusbank.R,  Author: Kristyna Ivankova
##----------------------------------------------------------------------------

library(stats)
data(bank2)
bank<-bank2[sample(1:200,20,replace=FALSE),]                   #20 randomly selected Swiss bank notes
opar <- par(mfrow = c(1, 2))
biplot(prcomp(bank, scale = TRUE),main="20 Swiss bank notes")  #principal component analysis
plot(hclust(dist(bank,method="euclidean")^2,method="ward"),ylab="squared Euclidean distance",sub="",xlab="Ward algorithm") #cluster analysis using Ward algorithm and squared Euclidean distance
par(opar)
