## SMSdecofood
## factorial analysis of French food data set

data(food)

x=as.matrix(food)
x=t((t(x)-mean(food))/(sqrt(11/12)*sd(food)))
                                     # the factor 11/12 is needed for the same result as in Xplore
x=x/sqrt(nrow(food))

deco=svd(x)
w=deco$v[,1:2]%*%diag(deco$d[1:2])
z=deco$u[,1:2]%*%diag(deco$d[1:2])

opar=par(mfrow=c(2,1))
plot(w,type="n")
text(w,colnames(food))
plot(z,type="n")
text(z,row.names(food))
par(opar)


