#-----------------------------------------------------------------------------
# SMSfacenorm
#-----------------------------------------------------------------------------
# Autor: Tomas Marada
#-----------------------------------------------------------------------------

library(TeachingDemos);
q = matrix(0, ncol = 36);
q[,13]=1;                   # right face line
q[,14]=1;                   # right darkness of hair
q[,31]=1;                   # left face line
q[,32]=1;                   # left darkness of hair
x = rnorm(50);              # generates 50 standard normal distributed data
y = rnorm(50) + 2;          # generates 50 normal distributed data with mean 2
z = t(cbind(t(x),t(y)));    # puts the data together in matrix
faces(z, q, main="random faces");   #plots the Flury faces
