#-----------------------------------------------------------------------------
# SMSnmdsuscrime
#-----------------------------------------------------------------------------
# Autor: Radka Pickova
#-----------------------------------------------------------------------------

library(MASS)

data(uscrime)

UScrime.dist <- dist(uscrime)
UScrime.mds <- isoMDS(UScrime.dist)

plot(UScrime.mds$points, main="US crime", type = "n")
text(UScrime.mds$points,col=1+ as.numeric(uscrime$reg) ,labels = row.names(uscrime))

